# $Revision: 1.5 $, $Date: 2009/03/28 12:04:05 $
#
# Conditional build:
#
%define		qt_ver		4.4.3
%define		snap		886570

Summary:	Tapioca Qt
Summary(pl.UTF-8):	Tapioca Qt
Name:		tapioca-qt
Version:	0.17.7
Release:	0.%{snap}.3
License:	LGPL v2.1
Group:		X11/Applications
Source0:	%{name}-%{version}-%{snap}.tar.gz
# Source0-md5:	1cd9913f09e804fb654eec6a6385274f
URL:		http://decibel.kde.org/
BuildRequires:	QtCore-devel >= %{qt_ver}
BuildRequires:	QtDBus-devel >= %{qt_ver}
BuildRequires:	QtGui-devel >= %{qt_ver}
BuildRequires:	cmake >= 2.6.2
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	telepathy-qt-devel >= 0.17.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description

#%description -l pl.UTF-8

%package devel
Summary:        Header files for tapioca-qt library
Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki tapioca-qt
Group:          Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
Header files for tapioca-qt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tapioca-qt.

%prep
%setup -q -n %{name}-%{version}-%{snap}

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQtTapioca.so.0.17.7
%attr(755,root,root) %ghost %{_libdir}/libQtTapioca.so.1707

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQtTapioca.so
%{_includedir}/QtTapioca
%{_pkgconfigdir}/QtTapioca.pc

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tapioca-qt.spec,v $
Revision 1.5  2009/03/28 12:04:05  shadzik
- rel .3

Revision 1.4  2009/02/06 17:02:49  witekfl
- utf8

Revision 1.3  2008/11/20 14:02:25  shadzik
- devel of course in BR
- rel .2

Revision 1.2  2008/11/19 15:44:02  shadzik
- 0.17.7 from svn

